#include <QGuiApplication>
#include <QQuickCanvas>
#include <QImage>
#include <QPropertyAnimation>

#include "imageitem.h"

int main(int argc, char **argv)
{
    QGuiApplication app(argc, argv);

    QQuickCanvas *canvas = new QQuickCanvas;

    QImage img;
    img.load("rhine.jpg");

    ImageItem *item = new ImageItem(canvas->rootItem());
    item->setImage(img);

    QPropertyAnimation *animation = new QPropertyAnimation(item, "rotation");
    animation->setLoopCount(-1);
    animation->setStartValue(0);
    animation->setKeyValueAt(0.5, 90);   
    animation->setEndValue(0);
    animation->setDuration(1000);

    animation->setEasingCurve(QEasingCurve(QEasingCurve::InOutBounce));

    animation->start();

    canvas->show();

    app.exec();
}
